Orxonox: orxonox::ExecutorMember< T > Class Template Reference

# orxonox::ExecutorMember< T > Class Template Reference

`#include <src/core/Executor.h>`

Inheritance diagram for orxonox::ExecutorMember< T >:

List of all members.

## Public Member Functions

| ExecutorMember (FunctorMember< T > *functor, const std::string &name="")
void | operator() (const T *object, const MultiType &param1, const MultiType &param2, const MultiType &param3, const MultiType &param4, const MultiType &param5) const
void | operator() (const T *object, const MultiType &param1, const MultiType &param2, const MultiType &param3, const MultiType &param4) const
void | operator() (const T *object, const MultiType &param1, const MultiType &param2, const MultiType &param3) const
void | operator() (const T *object, const MultiType &param1, const MultiType &param2) const
void | operator() (const T *object, const MultiType &param1) const
void | operator() (const T *object) const
void | operator() (T *object, const MultiType &param1, const MultiType &param2, const MultiType &param3, const MultiType &param4, const MultiType &param5) const
void | operator() (T *object, const MultiType &param1, const MultiType &param2, const MultiType &param3, const MultiType &param4) const
void | operator() (T *object, const MultiType &param1, const MultiType &param2, const MultiType &param3) const
void | operator() (T *object, const MultiType &param1, const MultiType &param2) const
void | operator() (T *object, const MultiType &param1) const
void | operator() (T *object) const
bool | parse (const T *object, const std::string &params, const std::string &delimiter=" ") const
bool | parse (T *object, const std::string &params, const std::string &delimiter=" ") const
void | setObject (const T *object) const
void | setObject (T *object) const
virtual | ~ExecutorMember ()

### template<class T>
class orxonox::ExecutorMember< T >

## Constructor & Destructor Documentation

template<class T>

orxonox::ExecutorMember< T >::ExecutorMember | ( | FunctorMember< T > * | functor,
|  | const std::string & | name = `""` |
| ) |  |  | `[inline]`

template<class T>

virtual orxonox::ExecutorMember< T >::~ExecutorMember | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

template<class T>

void orxonox::ExecutorMember< T >::operator() | ( | const T * | object,
|  | const MultiType & | param1,
|  | const MultiType & | param2,
|  | const MultiType & | param3,
|  | const MultiType & | param4,
|  | const MultiType & | param5 |
| ) |  |  | const`[inline]`

References orxonox::Executor::functor_.

template<class T>

void orxonox::ExecutorMember< T >::operator() | ( | const T * | object,
|  | const MultiType & | param1,
|  | const MultiType & | param2,
|  | const MultiType & | param3,
|  | const MultiType & | param4 |
| ) |  |  | const`[inline]`

References orxonox::Executor::defaultValue_, and orxonox::Executor::functor_.

template<class T>

void orxonox::ExecutorMember< T >::operator() | ( | const T * | object,
|  | const MultiType & | param1,
|  | const MultiType & | param2,
|  | const MultiType & | param3 |
| ) |  |  | const`[inline]`

References orxonox::Executor::defaultValue_, and orxonox::Executor::functor_.

template<class T>

void orxonox::ExecutorMember< T >::operator() | ( | const T * | object,
|  | const MultiType & | param1,
|  | const MultiType & | param2 |
| ) |  |  | const`[inline]`

References orxonox::Executor::defaultValue_, and orxonox::Executor::functor_.

template<class T>

void orxonox::ExecutorMember< T >::operator() | ( | const T * | object,
|  | const MultiType & | param1 |
| ) |  |  | const`[inline]`

References orxonox::Executor::defaultValue_, and orxonox::Executor::functor_.

template<class T>

void orxonox::ExecutorMember< T >::operator() | ( | const T * | object | ) | const`[inline]`

References orxonox::Executor::defaultValue_, and orxonox::Executor::functor_.

template<class T>

void orxonox::ExecutorMember< T >::operator() | ( | T * | object,
|  | const MultiType & | param1,
|  | const MultiType & | param2,
|  | const MultiType & | param3,
|  | const MultiType & | param4,
|  | const MultiType & | param5 |
| ) |  |  | const`[inline]`

References orxonox::Executor::functor_.

template<class T>

void orxonox::ExecutorMember< T >::operator() | ( | T * | object,
|  | const MultiType & | param1,
|  | const MultiType & | param2,
|  | const MultiType & | param3,
|  | const MultiType & | param4 |
| ) |  |  | const`[inline]`

References orxonox::Executor::defaultValue_, and orxonox::Executor::functor_.

template<class T>

void orxonox::ExecutorMember< T >::operator() | ( | T * | object,
|  | const MultiType & | param1,
|  | const MultiType & | param2,
|  | const MultiType & | param3 |
| ) |  |  | const`[inline]`

References orxonox::Executor::defaultValue_, and orxonox::Executor::functor_.

template<class T>

void orxonox::ExecutorMember< T >::operator() | ( | T * | object,
|  | const MultiType & | param1,
|  | const MultiType & | param2 |
| ) |  |  | const`[inline]`

References orxonox::Executor::defaultValue_, and orxonox::Executor::functor_.

template<class T>

void orxonox::ExecutorMember< T >::operator() | ( | T * | object,
|  | const MultiType & | param1 |
| ) |  |  | const`[inline]`

References orxonox::Executor::defaultValue_, and orxonox::Executor::functor_.

template<class T>

void orxonox::ExecutorMember< T >::operator() | ( | T * | object | ) | const`[inline]`

References orxonox::Executor::defaultValue_, and orxonox::Executor::functor_.

template<class T>

bool orxonox::ExecutorMember< T >::parse | ( | const T * | object,
|  | const std::string & | params,
|  | const std::string & | delimiter = `" "` |
| ) |  |  | const`[inline]`

References EXECUTOR_PARSE.

template<class T>

bool orxonox::ExecutorMember< T >::parse | ( | T * | object,
|  | const std::string & | params,
|  | const std::string & | delimiter = `" "` |
| ) |  |  | const`[inline]`

References EXECUTOR_PARSE.

template<class T>

void orxonox::ExecutorMember< T >::setObject | ( | const T * | object | ) | const`[inline]`

References orxonox::Executor::functor_.

template<class T>

void orxonox::ExecutorMember< T >::setObject | ( | T * | object | ) | const`[inline]`

References orxonox::Executor::functor_.

Referenced by orxonox::Timer< orxonox::FadeoutText >::setTimer().

The documentation for this class was generated from the following file:

- src/core/Executor.h